Bug 317321 - Review Request: ladspa-tap-plugins - Tom's Audio Processing plugin
Review Request: ladspa-tap-plugins - Tom's Audio Processing plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 16:34 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 13:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-03 16:34:35 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-tap-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-tap-plugins-0.7.0-3.fc8.src.rpm
Description:
TAP-plugins is short for Tom's Audio Processing plugins. It is a bunch
of LADSPA plugins for digital audio processing, intended for use in a
professional DAW environment such as Ardour.
Comment 1 Parag AN(पराग) 2007-10-03 21:32:56 EDT
Like other ladspa plugins did you miss in SPEC to use system ladspa.h 
==================================================================
# we want to use the system ladspa.h
rm ladspa.h
===================================================================

Change defattr to %defattr(-,root,root,-)

Comment 3 Parag AN(पराग) 2007-10-04 06:23:49 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
e3e13df63627dcf54d0a96f8125df9ee  tap-plugins-0.7.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge ladspa-tap-plugins-0.7.0-4.fc8  ->
  Provides: tap-plugins = 0.7.0-4.fc8 tap_autopan.so tap_chorusflanger.so
tap_deesser.so tap_doubler.so tap_dynamics_m.so tap_dynamics_st.so tap_echo.so
tap_eq.so tap_eqbw.so tap_limiter.so tap_pinknoise.so tap_pitch.so
tap_reflector.so tap_reverb.so tap_rotspeak.so tap_sigmoid.so tap_tremolo.so
tap_tubewarmth.so tap_vibrato.so
  Requires: ladspa libc.so.6 libc.so.6(GLIBC_2.0) libm.so.6 libm.so.6(GLIBC_2.0)
librt.so.1 rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.

Comment 4 Hans de Goede 2007-10-09 11:15:31 EDT
New Package CVS Request
=======================
Package Name:      ladspa-tap-plugins
Short Description: Tom's Audio Processing plugin
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2007-10-09 11:39:48 EDT
cvs done.
Comment 6 Hans de Goede 2007-10-09 13:48:50 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.